# Enum ExecutionState

java.lang.Object
java.lang.Enum<ExecutionState>
com.databricks.jdbc.api.ExecutionState

All Implemented Interfaces:
  `Serializable`, `Comparable<ExecutionState>`, `java.lang.constant.Constable`

public enum ExecutionState extends Enum<ExecutionState>
Represents the possible states of a SQL statement execution in Databricks. This enum is used to track the progress and status of SQL statements executed through the Databricks JDBC API.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABORTED`
`CLOSED`
`FAILED`
`PENDING`
`RUNNING`
`SUCCEEDED`

## Method Summary

Modifier and Type
Method
Description
`static ExecutionState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExecutionState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PENDING

public static final ExecutionState PENDING

### RUNNING

public static final ExecutionState RUNNING

### SUCCEEDED

public static final ExecutionState SUCCEEDED

### FAILED

public static final ExecutionState FAILED

### CLOSED

public static final ExecutionState CLOSED

### ABORTED

public static final ExecutionState ABORTED

## Method Details

### values

public static ExecutionState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ExecutionState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null